/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkJohnPlugin.cxx

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#include "vtkJohnPlugin.h"

#include "vtkObjectFactory.h"

vtkStandardNewMacro(vtkJohnPlugin);
//----------------------------------------------------------------------------
vtkJohnPlugin::vtkJohnPlugin()
{
}

//----------------------------------------------------------------------------
vtkJohnPlugin::~vtkJohnPlugin()
{
}

//----------------------------------------------------------------------------
void vtkJohnPlugin::PushData(int size, int* data)
{
  cout << "Received data: " << endl;
  for (int cc=0; cc < size; ++cc)
    {
    cout << "   " << data[cc] << ", ";
    }
  cout << endl;
}

//----------------------------------------------------------------------------
void vtkJohnPlugin::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}
