/*=========================================================================

  Program:   ParaView
  Module:    vtkSMJohnPluginProxy.h

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.paraview.org/HTML/Copyright.html for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
// .NAME vtkSMJohnPluginProxy
// .SECTION Description
//

#ifndef vtkSMJohnPluginProxy_h
#define vtkSMJohnPluginProxy_h

#include "vtkSMSourceProxy.h"

class vtkSMJohnPluginProxy : public vtkSMSourceProxy
{
public:
  static vtkSMJohnPluginProxy* New();
  vtkTypeMacro(vtkSMJohnPluginProxy, vtkSMSourceProxy);
  void PrintSelf(ostream& os, vtkIndent indent);

//BTX
protected:
  vtkSMJohnPluginProxy();
  ~vtkSMJohnPluginProxy();

  virtual void CreateVTKObjects();
  void SendDataToServer();

private:
  vtkSMJohnPluginProxy(const vtkSMJohnPluginProxy&); // Not implemented
  void operator=(const vtkSMJohnPluginProxy&); // Not implemented
//ETX
};

#endif
